Page MenuHomePhabricator

[MLIR][Shape] Canonicalize subsequent `size_to_index` and `index_to_size`
ClosedPublic

Authored by frgossen on Jun 18 2020, 4:38 AM.

Details

Summary

Eliminate the subsequent applications of size_to_index and index_to_size.

Depends On D82082

Diff Detail

Event Timeline

frgossen created this revision.Jun 18 2020, 4:38 AM
Herald added a reviewer: silvas. · View Herald Transcript
Herald added a project: Restricted Project. · View Herald Transcript
silvas accepted this revision.Jun 18 2020, 9:48 AM

Great! Thanks for these nicely factored patches!

nit: You may want to update the title before landing it

rriddle retitled this revision from [MLIR][Shape] Ass canonicalization pattern for `shape.index_to_size` to [MLIR][Shape] Add canonicalization pattern for `shape.index_to_size`.Jun 18 2020, 10:10 AM
frgossen retitled this revision from [MLIR][Shape] Add canonicalization pattern for `shape.index_to_size` to [MLIR][Shape] Canonicalize subsequent `index_to_size` and `size_to_index`.Jun 19 2020, 4:22 AM
frgossen retitled this revision from [MLIR][Shape] Canonicalize subsequent `index_to_size` and `size_to_index` to [MLIR][Shape] Canonicalize subsequent `size_to_index` and `index_to_size`.Jun 19 2020, 4:29 AM
jpienaar accepted this revision.Jun 23 2020, 2:06 PM
This revision is now accepted and ready to land.Jun 23 2020, 2:06 PM
frgossen updated this revision to Diff 273244.Jun 25 2020, 1:21 AM

Remove trailing white line

frgossen updated this revision to Diff 273293.Jun 25 2020, 3:46 AM

White line

This revision was automatically updated to reflect the committed changes.